#ifndef GLOBALS_H_
#define GLOBALS_H_

#include <semaphore.h>

#define BUFFER_SIZE 5
#define SHARED_SIZE 128

#define            MUTEX_NAME "/mutex"
#define  EMPTY_SEMAPHORE_NAME "/empty"
#define FILLED_SEMAPHORE_NAME "/filled"
#define    SHARED_MEMORY_NAME "CMPE 142"

typedef int Item;

typedef struct
{
    // Shared data
    Item buffer[BUFFER_SIZE];
    int in, out;
} Shared;

typedef struct
{
    char  *name;
    sem_t *mtx;
} Mutex;

typedef struct
{
    char  *name;
    sem_t *sem;
} Semaphore;

#endif /* GLOBALS_H_ */
